#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_pressed()
{
    QFile f(QFileDialog::getOpenFileName(this, "pen File"));
    if(f.open(QFile::ReadOnly))
    {
        QByteArray data = f.readAll();
        QString base64 = data.toBase64();
        ui->plainTextEdit->setPlainText(base64);
        f.close();
    }
}
